#
# spec file for package python-fire
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-fire
Version:        0.1.3
Release:        5.1
Summary:        A library for automatically generating command line interfaces
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/google/python-fire
Source:         https://files.pythonhosted.org/packages/source/f/fire/fire-%{version}.tar.gz
Patch0:         fix-issue-164.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Levenshtein}
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Python Fire is a library for automatically generating command line
interfaces (CLIs) from a Python object.

%prep
%setup -q -n fire-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand pytest-%{$python_bin_suffix} -v fire

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Mar  9 2019 mcepl@suse.com
- Add fix-issue-164.patch patch to fix gh#google/python-fire#164
  and we can run whole test suite.
* Thu Feb  7 2019 mcepl@suse.com
- Switch of tests testFireKeywordArgs, testFireObjectWithDict,
  testHelpStringBuiltin, and testGetFullArgSpecFromBuiltin
  gh#google/python-fire#164
* Wed Jan  2 2019 tchvatal@suse.com
- Simplify the tests call
* Thu Nov 15 2018 toddrme2178@gmail.com
- Initial version
